Summary: Visual Disk Test
Name: vdt
Version: 5.4.68
Release: 1
License: GPL
Group: Applications/Engineering
URL: http://budtoolshed.sourceforge.net/
Source0: http://download.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: AIX-rpm >= 5.3.0.0
Requires: AIX-rpm >= 5.3.0.0

%description
Performs I/O tests (read, seek, write, copy, compare, and more) on files,
disks, partitions and logical volumes.

Features:
 * Various addressing patterns: increasing, decreasing, random, and more
 * Basic tests: read, seek, write, create & fill
 * Compound tests: copy, compare, update, refresh, and more
 * Stress tests: using all addressing patterns
 * Test area selection: by size, percent, region, stripes, or combinations
   thereof
 * Test duration control: by elapsed time, alarm-clock, transfer-count or -size
 * Choice of measure units in powers of 1000 or 1024
 * Entropy control for random addressing
 * Extra options: synchronous output, pattern-fill, faster algorythms, and more
 * Free and Open Source Software (FOSS) licensed with GPLv3 and hosted by
   SourceForge
 * Runs on AIX, Solaris, HP-UX, GNU Linux, BSD Operating Systems, and CygWin 


%prep
%setup -q -n %{name}5


%build
export CC=gcc

./configure \
    --prefix=%{_prefix}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Tue Oct 26 2010 Michael Perzl <michael@perzl.org> - 5.4.68-1
- updated to version 5.4.68

* Tue Oct 19 2010 Michael Perzl <michael@perzl.org> - 5.4.67-1
- first version for AIX V5.3 and higher
